Subject: [MIB-DOCTORS] Looking for best common practice guidlines for OBJECT clause usage in NOTIFICATION-TYPE macro

From: James Leu <[email-masked]>
Date: Tue, 20 Oct 2015 14:39:54 -0500

Hello,

If this is not the correct forum for this question please point
me to an appropriate one.

I'm looking for best common practices for usage of OBJECTS clause
in the NOTIFICATION-TYPE macro.  In particular, for flexibility
I would like to leave out the OBJECTS clause, this way I can add
any OBJECT I want to the NOTIFICATION, without violating the "agreement"
put forth in the MIB.

Thank you for your time,
Jim

-- 
James R. Leu | Director of Technology | INOC | Madison, WI, USA
O: +1-608-204-0203 | F: +1-608-663-4558 | [email-masked] | www.inoc.com
Service. Not Software.®

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Sat, 31 Oct 2015 17:29:51 +0100

> any OBJECT I want to the NOTIFICATION, without violating the "agreement"

An OBJECTS clause should specify the minimum set of objects that are
needed to understand the event that caused the notification to be
sent. For example, an 'interfcae down' notification needs to at least
carry the information which interface went down in order to be useful.

And the goal usually is to maximize interoperability (which is not the
same as maximize flexibility).

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>